Bug 157057 - CAN-2005-1260 - bzip2 decompression bomb vulnerability
CAN-2005-1260 - bzip2 decompression bomb vulnerability
Status: CLOSED DUPLICATE of bug 158801
Product: Fedora Legacy
Classification: Retired
Component: bzip2 (Show other bugs)
rhl7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
http://scary.beasts.org/security/d5d5...
: Security
Depends On:
Blocks: 157058 157059 157060
  Show dependency treegraph
 
Reported: 2005-05-06 11:14 EDT by Dominic Hargreaves
Modified: 2007-04-18 13:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-05 00:53:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominic Hargreaves 2005-05-06 11:14:49 EDT
Whilst playing with "random bitflipping" technology, an effective decompression
bomb attack against bzip2 was identified. bzip2 can be made to decompress
into a file indefinitely when it encounters a suitably corrupt bzip2 archive.

Demo bz2 archive:
http://scary.beasts.org/security/d5d5466da311d907/bomb.bz2

Fixed in 1.0.3.

No disclosure date yet.
Comment 1 David Eisenstein 2005-11-04 15:35:18 EST
Removing security flag & This bug duplicates bug 158801.
Should be closed DUPLICATE.
Comment 2 Pekka Savola 2005-11-05 00:53:07 EST

*** This bug has been marked as a duplicate of 158801 ***

Note You need to log in before you can comment on or make changes to this bug.